org.cybergarage.upnp.control

## Class Control

- java.lang.Object
- - org.cybergarage.upnp.control.Control

-     public class Control
      extends Object

  Constants and utility values for UPnP control operations. Contains XML namespace definitions, SOAP action strings, and element names used in UPnP control messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NS` Default namespace prefix for UPnP control
    `static String` | `QUERY_SOAPACTION` SOAP action for querying state variables
    `static String` | `QUERY_STATE_VARIABLE` Element name for state variable query requests
    `static String` | `QUERY_STATE_VARIABLE_RESPONSE` Element name for state variable query responses
    `static String` | `RETURN` Element name for return value in responses
    `static String` | `VAR_NAME` Element name for variable name in queries
    `static String` | `XMLNS` XML namespace for UPnP control

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Control()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      Default namespace prefix for UPnP control
      See Also:
        Constant Field Values

    - #### QUERY_SOAPACTION

          public static final String QUERY_SOAPACTION

      SOAP action for querying state variables
      See Also:
        Constant Field Values

    - #### QUERY_STATE_VARIABLE

          public static final String QUERY_STATE_VARIABLE

      Element name for state variable query requests
      See Also:
        Constant Field Values

    - #### QUERY_STATE_VARIABLE_RESPONSE

          public static final String QUERY_STATE_VARIABLE_RESPONSE

      Element name for state variable query responses
      See Also:
        Constant Field Values

    - #### RETURN

          public static final String RETURN

      Element name for return value in responses
      See Also:
        Constant Field Values

    - #### VAR_NAME

          public static final String VAR_NAME

      Element name for variable name in queries
      See Also:
        Constant Field Values

    - #### XMLNS

          public static final String XMLNS

      XML namespace for UPnP control
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Control

          public Control()